org.apache.http.client.methods

## Class HttpRequestWrapper

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage
  - - org.apache.http.client.methods.HttpRequestWrapper

- All Implemented Interfaces:
    HttpUriRequest ， HttpMessage ， HttpRequest

      public class HttpRequestWrapper
      extends AbstractHttpMessage
      implements HttpUriRequest

  用于`HttpRequest`的包装类，可用于更改当前请求的属性，而无需修改原始对象。
  从以下版本开始：
    4.3

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.message.AbstractHttpMessage

      `headergroup, params`

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort()` 中止请求的执行。
    `String` | `getMethod()` 返回该请求使用HTTP方法，如 `GET` ， `PUT` ， `POST` ，或其他。
    `HttpRequest` | `getOriginal()`
    `HttpParams` | `getParams()` 已过时。 （4.3）使用`RequestConfig` 。
    `ProtocolVersion` | `getProtocolVersion()`
    `RequestLine` | `getRequestLine()`
    `HttpHost` | `getTarget()`
    `URI` | `getURI()` 返回此请求使用的URI，如 `http://example.org/path/to/file` 。
    `boolean` | `isAborted()` 测试请求执行是否已中止。
    `void` | `setProtocolVersion(ProtocolVersion version)`
    `void` | `setURI(URI uri)`
    `String` | `toString()`
    `static HttpRequestWrapper` | `wrap(HttpRequest request)` 创建原始请求的可变包装。
    `static HttpRequestWrapper` | `wrap(HttpRequest request, HttpHost target)` 创建原始请求的可变包装。

    - ### Methods inherited from class org.apache.http.message.AbstractHttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

- - ### 方法详细信息

    - #### getProtocolVersion

          public ProtocolVersion getProtocolVersion()

      Specified by:
        `getProtocolVersion`在界面 `HttpMessage`

    - #### setProtocolVersion

          public void setProtocolVersion(ProtocolVersion version)

    - #### getURI

          public URI getURI()

      说明从界面： `HttpUriRequest`复制
      返回此请求使用的URI，如`http://example.org/path/to/file` 。

      请注意，URI可以是绝对URI（如上所述），也可以是相对URI。

      鼓励实现返回最初请求的URI。

      要在处理任何重定向后找到最终的URI，请参阅HttpClient Tutorial中的标题为HTTP execution context的部分

      Specified by:
        `getURI`在界面 `HttpUriRequest`

    - #### setURI

          public void setURI(URI uri)

    - #### getMethod

          public String getMethod()

      说明从界面复制： `HttpUriRequest`
      返回该请求使用HTTP方法，如 `GET` ， `PUT` ， `POST` ，或其他。
      Specified by:
        `getMethod`在界面 `HttpUriRequest`

    - #### abort

          public void abort()
                     throws UnsupportedOperationException

      说明从界面： `HttpUriRequest`复制
      中止请求的执行。
      Specified by:
        `abort`在界面 `HttpUriRequest`
      异常
        `UnsupportedOperationException` - 如果不支持中止操作/无法实现。

    - #### isAborted

          public boolean isAborted()

      说明从界面： `HttpUriRequest`复制
      测试请求执行是否已中止。
      Specified by:
        `isAborted`在界面 `HttpUriRequest`
      结果
        `true`如果请求执行已中止，否则为 `false` 。

    - #### getRequestLine

          public RequestLine getRequestLine()

      Specified by:
        `getRequestLine`在界面 `HttpRequest`

    - #### getOriginal

          public HttpRequest getOriginal()

    - #### getTarget

          public HttpHost getTarget()

      从以下版本开始：
        4.4

    - #### toString

          public String toString()

      重写：
        `toString`在 `Object`

    - #### wrap

          public static HttpRequestWrapper wrap(HttpRequest request)

      创建原始请求的可变包装。
      参数
        `request` - 原始请求
      结果
        可变请求包装原始的请求

    - #### wrap

          public static HttpRequestWrapper wrap(HttpRequest request,
                                HttpHost target)

      创建原始请求的可变包装。
      参数
        `request` - 原始请求
        `target` - 原始目标，如果明确指定
      结果
        可变请求包装原始的请求
      从以下版本开始：
        4.4

    - #### getParams

          @Deprecated
          public HttpParams getParams()

      已过时。 （4.3）使用`RequestConfig` 。
      Specified by:
        `getParams`在界面 `HttpMessage`
      重写：
        `getParams`在 `AbstractHttpMessage`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585